SubClient
Creates a new SubClient (to be with enabled sub-clients module)
This API can be used on instances with enabled sub-clients module only. API generates a new SubClient. Optionally a set of ApiTokens and StandardValues can be generated. <b>NOTE:</b> System will check for existing SubClients with provided externalId. In case of existing SubClient with same externalId, API will return the existing.
/api/sub-clientsAuthorizations
Value for the X-AUTH-TOKEN header parameter.
Request Body
The new SubClient resource
{
"id": 12345,
"externalId": "id123",
"description": "Any description",
"tokenIdentifiers": [
"default",
"special"
],
"standardValuesList": {
"key1": "value1",
"key2": "line1\nline2"
},
"tokens": [
"https://example.com/"
],
"standardValues": [
"https://example.com/"
]
}Response
SubClient resource created
Identifier generated by Output.Rocks.
Optional identifier, used in connected system. External ID has to be unique.
SubClient description
Optional list of ApiToken identifiers, to be created on SubClient
Optional list of standard values as array [key => value], to be created for SubClient